# ReportingBasePlugin

abstract class ReportingBasePlugin : Plugin<T>

A Plugin which provides the basic skeleton for reporting.

This plugin adds the following extension objects to the project:

- org.gradle.api.reporting.ReportingExtension

#### See also

<a href="https://docs.gradle.org/current/userguide/project_report_plugin.html">Project Report plugin reference</a>

## Constructors

ReportingBasePlugin
Link copied to clipboard
constructor()

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)